[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.CanChange

True if the specified tree node can be used in the Selected or Selections properties.

## Declaration

Source position: comctrls.pp line 3565

`protected function TCustomTreeView.CanChange(`
`Node: TTreeNode`
`):Boolean; virtual;`

## Arguments

`Node` |  | Tree node examined in the method.

## Function result

True if the specified tree node can be used in the Selected or Selections properties.

## Description

Signals the OnChanging event handler (when assigned) to determine if a change is allowed for the specified tree node. Change entails using the tree node as the current Selected node, or including it in Selections when multi-select is enabled in the Options for the control.

The return value is updated in the event handler, and can be set to True to allow a change to the tree node. The return value is always True if the OnChanging event handler has not been assigned.

Use CanEdit to determine if the text for the tree node can edited in the control.

## See also

TCustomTreeView.OnChanging |  | Event handler signalled before the selected node in the tree view control is changed.
TCustomTreeView.OnChange |  | Event handler for a change notification in the tree view control.
TCustomTreeView.CanEdit |  | Returns True if the specified tree node can be edited.